Driver scheda video ati x1300

9 contenuti / 0 new
Ultimo contenuto
Ritratto di acciderboli
Offline
Last seen: 6 anni 9 mesi fa
Iscritto: 02/11/2012 - 08:33
Driver scheda video ati x1300

Ciao a tutti. Stò cercando di installare i driver ati per la mia scheda video ati radeon x1300.
Su synaptic non ho trovato nessun pacchetto da installare e allora gli ho scaricati da internet.
Solo che quando provo ad installarli mi viene fuori questo errore:

[xxxxxx@localhost Scaricati]$ sh ./ati-driver-installer-8.28.8.run
Creating directory fglrx-install
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.28.8.....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Detected configuration:
Architecture: i686 (32-bit)
which: no XFree86 in (/bin:/usr/bin:/usr/local/bin:/usr/games:/usr/lib/qt4/bin:/usr/bin:/usr/sbin:/usr/lib/kde4/libexec:/bin:/sbin:/usr/X11R6/bin:/usr/games:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/usr/lib/kde4/libexec:/bin:/sbin:/usr/X11R6/bin:/usr/games:/usr/local/bin:/usr/local/sbin:/home/daniel/bin:/usr/bin:/usr/sbin:/usr/lib/kde4/libexec:/bin:/sbin:/usr/X11R6/bin:/usr/games:/usr/local/bin:/usr/local/sbin)
X Server: unable to detect
Removing temporary directory: fglrx-install

Qualcuno sà aiutarmi?
Grazie

Ritratto di monsee
Offline
Last seen: 6 giorni 19 ore fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Dovresti semplicemente installare (da Synaptic, nella maniera normale) i pacchetti denominati:
dkms-fglrx
x11-driver-video-fglrx
(o qualcosa del genere: non sono in PCLinuxOS, al momento, per cui non posso verificare).
E, dopo, riavviare. Avrai un avvio lievemente più lento (al successivo avvio, la velocità, però,msarà tornata normale).
Son questi, infatti, i drivers che ricerchi.

Ritratto di acciderboli
Offline
Last seen: 6 anni 9 mesi fa
Iscritto: 02/11/2012 - 08:33

Grazie per la risposta. I pacchetti che hai detto ce li ho già installati. Ti spiego meglio il mio problema, stò cercando di fare andare un gioco in wine che richiede che la scheda video abbia il shader model 3.0. Infatti quando provo a farlo partire mi dice che la scheda video non ce l'ha. Ma non è vero perchè in realtà la mia scheda video ha questa funzione, infatti in windows sempre lo stesso giochino mi funziona.
Penso che su pclinuxos mi venga fuori questo errore perchè non ho installato i driver giusti.
O sbaglio?
Grazie.

Ritratto di acciderboli
Offline
Last seen: 6 anni 9 mesi fa
Iscritto: 02/11/2012 - 08:33

Pensando che fosse perchè non avevo installato le directx9, le ho installate ma quando provo a lanciare la diagnostica mi compare questo:

[xxxxxx@localhost .wine]$ wine drive_c/windows/system32/dxdiag.exe
err:winediag:X11DRV_WineGL_InitOpenglInfo The Mesa OpenGL driver is using software rendering, most likely your OpenGL drivers haven't been installed correctly (using GL renderer "Software Rasterizer", version "2.1 Mesa 7.11.2").
fixme:d3d_caps:wined3d_guess_card No card selector available for GL vendor 0x4 and card vendor 0000 (using GL_RENDERER "Software Rasterizer").
fixme:win:EnumDisplayDevicesW ((null),0,0x33d6c4,0x00000000), stub!
fixme:d3d_caps:wined3d_guess_card No card selector available for GL vendor 0x4 and card vendor 0000 (using GL_RENDERER "Software Rasterizer").
fixme:win:EnumDisplayDevicesW ((null),0,0x33d5e4,0x00000000), stub!
fixme:ddraw:ddraw7_Initialize Ignoring guid {aeb2cdd4-6e41-43ea-941c-8361cc760781}.
fixme:devenum:DEVENUM_ICreateDevEnum_CreateClassEnumerator Category {33d9a760-90c8-11d0-bd43-00a0c911ce86} not found
fixme:devenum:DEVENUM_ICreateDevEnum_CreateClassEnumerator Category {33d9a761-90c8-11d0-bd43-00a0c911ce86} not found
fixme:devenum:DEVENUM_ICreateDevEnum_CreateClassEnumerator Category {cc7bfb41-f175-11d1-a392-00e0291f3959} not found
fixme:devenum:DEVENUM_ICreateDevEnum_CreateClassEnumerator Category {cc7bfb46-f175-11d1-a392-00e0291f3959} not found
fixme:dxdiag:wWinMain Information dialog is not implemented

Che le 2 cose siano correlate?
Grazie.

Ritratto di zafran
Offline
Last seen: 5 mesi 5 giorni fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Ma il 3d con altre applicazioni c'è?
glxinfo cosa ti dice?

Comunque wine non è onnipotente, il fatto che riesca a fare tanto e sempre di più non deve far dimenticare che riuscire a lavorare così a basso livello come per l'integrazione del 3d è veramente tosto.

Ritratto di acciderboli
Offline
Last seen: 6 anni 9 mesi fa
Iscritto: 02/11/2012 - 08:33

Ciao, il gioco in questione è Limbo, non sò se lo conosci.
Non è in 3d, sembra che wine non veda che la mia scheda in effetti supporta il shader model 3.0 e non sò come fare a dirglielo.
Su glxinfo quale informazione ti servirebbe? Perchè vien fuori una marea di roba.
Grazie

Ritratto di acciderboli
Offline
Last seen: 6 anni 9 mesi fa
Iscritto: 02/11/2012 - 08:33

Ciao, forse ho capito..
In pratica quando provo a installare i driver ati (primo post di questo thread) alla fine devo dargli --buildpkg con la distribuzione.
Il mio problema adesso è che dando --listpkg non mi viene fuori pclinuxos ma queste:
Status: *UNVERIFIED*
Debian Packages:
Debian/sid
Debian/unstable
Debian/etch
Debian/stable
Debian/lenny
Debian/testing
Debian/experimental

Package Maintainer(s): Niko Mirthes
Michael Larabel
Status: *UNVERIFIED*
Fedora Packages:
Fedora/FC3
Fedora/FC4
Fedora/FC5
Fedora/FC6
Fedora/F7
Fedora/F8
Fedora/F9
Fedora/F10
Fedora/RHEL3
Fedora/RHEL4

Package Maintainer(s): Anssi Hannula
Status: *UNVERIFIED*
Mandriva Packages:
Mandriva/2006.0
Mandriva/2007.0
Mandriva/2007.1
Mandriva/2008.0
Mandriva/2008.1
Mandriva/2009.0
Mandriva/2009.1

Package Maintainer(s): Bowen Zhu
Status: *UNVERIFIED*
RedFlag Packages:
RedFlag/RF50
RedFlag/RF60

Package Maintainer(s): ATI
Status: Verified
RedHat Packages:
RedHat/RHEL4_64a
RedHat/RHEL4
RedHat/RHEL5_64a
RedHat/RHEL5

./packages/Slackware/ati-packager.sh: riga 36: EOF non atteso durante la ricerca di "]"
./packages/Slackware/ati-packager.sh: riga 387: errore di sintassi: fine di file non attesa
Package Maintainer(s): Bob Walmsley
Status: *UNVERIFIED*
SuSE Packages:
SuSE/SLE10-IA32
SuSE/SLE10-AMD64
SuSE/SUSE103-IA32
SuSE/SUSE110-IA32
SuSE/SUSE103-AMD64
SuSE/SUSE110-AMD64
SuSE/SLE11-IA32
SuSE/SUSE111-IA32
SuSE/SLE11-AMD64
SuSE/SUSE111-AMD64

Package Maintainer(s): Mario Limonciello
Aric Cyr
Status: *UNVERIFIED*
Ubuntu Packages:
Ubuntu/7.10
Ubuntu/8.04
Ubuntu/8.10
Ubuntu/9.04
Ubuntu/gutsy
Ubuntu/hardy
Ubuntu/intrepid
Ubuntu/jaunty
Ubuntu/source

Qualcuno sà aiutarmi?
Grazie

Ritratto di monsee
Offline
Last seen: 6 giorni 19 ore fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Se hai PCLinuxOS, perchè mai ti affanni a cercare di installar dei pacchetti che NON sono adatti a PCLinuxOS?
Per installare dei pacchetti in PCLinuxOS puoi utilizzare soltanto ed esclusivamente pacchetti RPM (oppure, puoi iinstallar dai sorgenti). NON pacchetti DEB o altro.
Inoltre, tieni bene a mente che andare ad installare anche soltanto un pacchetto che non è stato pensato per esser messo lì dagli Sviluppatori di PCLinuxOS può arrecare dei serissimi danni alla compatibilità fra i pacchetti installati sul Sistema e darti, in avvenire, presto o tardi, serissimi problemi di compatibili8tà fra pacchetti.
Se proprio ci tieni a correre il serio rischio di essere poi costretto a formatytar tutto, allora "trasforma" in RPM i pacchetti che desideri installare e poi prova ad installarli (meglio se usi rmp-installer, per far l'installazione: non è una garanzia al 100%, ma almeno ha delle discrete possibilità di bloccarti l'installazione e rendertela impossibile se s'avvede che ci sono già delle incompatibilità fra i pacchetti esistenti).
Il punto che non devi perdere mai di vista, con PCLinuxOS, è che hai a che fare con una "rolling-distro": un sistema pensato per non dover essere più reinstallato "da zero", una volta installato, e poter essere aggiornato totalmente usando soltanto e unicamente Synaptic (il gestore di pacchetti grafico).
Sicché, è logico che l'equilibrio di rapporti fra i pacchetti (sia quelli installati sia quelli non-installati ma presenti nei Repositories) debba giocare un ruolo (e abbia un'importanza) irrinunciabile e assolutamente fondamentale.

Ritratto di acciderboli
Offline
Last seen: 6 anni 9 mesi fa
Iscritto: 02/11/2012 - 08:33

Ah ho capito, allora meglio che lascio perdere.
Grazie per il consiglio.
Ciao